Please update compatibility Rated 2 out of 5 stars

No update since 2009? What about FF4.01?